@charset "utf-8";

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
.hidden {
	display: none !important;
}
.small {
	font-size: 0.7em;
}
body {
	background-color: #000000;
}

.video {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
}
.twitter {
	width: 64px;
	height: 64px;
	display: block;
	position: fixed;
	top: 0;
	right: 0;
	background-image: url(image/twitter.png);
	background-repeat: no-repeat no-repeat;
	background-position: center center;
	background-size: contain;
	z-index: 1;
	opacity: 0.2;
	transition: all 0.5s ease 0s;
}
.twitter:hover {
	opacity: 1;
}


.stream {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	background-repeat: no-repeat no-repeat;
	background-position: center center;
	background-size: contain;
	pointer-events: none;
	transition: all 0.5s ease 0s;
}
.stream[data-display=true] {
	display: block;
}
.stream[data-display='wait'] {
	display: block;
}
.stream[data-display=false] {
	display: none;
}

.stream time {
	width: 0;
	height: 0.75em;
	position: absolute;
	top: 0;
	left: 0;
	background-color: rgba(255, 150, 230, 0.6);
	z-index: 1;
	overflow: hidden;
	animation: timebar 20s linear 0s infinite normal;
}
@keyframes timebar {
0% {
	width: 0;
}
100% {
	width: 100%;
}
}

.streamCheck {
	padding: 0.5em;
	color: #000000;
	display: inline-block;
	text-align: right;
	position: fixed;
	bottom: 0;
	right: 0;
	z-index: 10;
	text-shadow:
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff,
		0px 0px 3px #ffffff
		;
}
.streamCheck input {
	width: 3em;
	display: inline-block;
	text-align: right;
	font-size: 1.5em;
	border: 0;
	color: inherit;
	background-color: transparent;
	text-shadow: inherit;
}


.send {
	width: 100%;
	display: flex;
	align-items: center;
	flex-direction: row;
	position: absolute;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.5);
	opacity: 0;
	z-index: 10;
	transition: all 0.5s ease 0s;
}
.send:hover {
	opacity: 1;
}

.send input {
	margin: 1px;
	padding: 0.5em 0.25em;
	font-size: inherit;
	font-family: inherit;
	display: block;
	background-color: rgba(255, 255, 255, 0.5);
	color: #ffffff;
	border: 0;
	outline: 0;
	border-radius: 2px;
}
.send input::placeholder {
	color: #ddeeff;
}

.name {
	width: 10em;
}
.icon {
	width: 6em;
}
.comment {
	width: calc(100% - 16em);
}


.comments {
	width: 15em;
	height: 100%;
	padding: 3em 0.5em 1em 2.5em;
	font-size: 0.8em;
	position: fixed;
	top: 0;
	right: 0;
	background-color: rgba(0, 0, 0, 0.5);
	color: #ffffff;
	overflow-y: scroll;
	z-index: 9;
	transition: all 0.3s ease 0s;
}
.comments[data-display=true]{
	opacity: 1;
}
.comments[data-display=false]{
	opacity: 0.5;
	right: -14em;
}

.comments li {
	margin: 0 0 1em 0;
	padding: 0 0 1em 0;
	position: relative;
	line-height: 125%;
}
.comments small {
	padding: 0.5em;
	background-color: rgba(0, 0, 0, 0.5);
	display: block;
	position: fixed;
	top: 1.5em;
	font-size: 0.8em;
	z-index: 1;
}
.comments .username {
	font-size: 0.7em;
	position: absolute;
	top: -1.35em;
	left: 0;
	color: #ddeeff;
}
.comments .usericon {
	width: 2em;
	height: 2em;
	margin: 0.25em;
	float: left;
}
.comments .usercomment {
	width: calc(100% - 2em);
	display: inline;
}

.comments .info {
	margin: 0 0 2em 0;
	padding: 0.5em;
	border-radius: 10px 10px 0px 10px;
	background-color: rgba(255, 255, 255, 0.3);
}



.jitotalk {
	display: inline-block;
	vertical-align: middle;
}
.jitomesan .username {
	font-size: 0.8em;
	color: #0040a0;
}
.jitomesan {
	width: 90%;
	height: 40%;
	display: block;
	position: fixed;
	left: 0;
	bottom: 0;
	font-size: 0.8em;
	background-image: url(stream/jitomesan.png);
	background-repeat: no-repeat no-repeat;
	background-position: bottom left;
	background-size: contain;
	pointer-events: none;
}
.jitomesan a {
	pointer-events: auto;
}
.jitomemo {
	max-width: 25em;
	margin: 0.5em;
	padding: 1em;
	display: inline-block;
	position: absolute;
	bottom: 100%;
	left: 0;
	background-color: rgba(255, 255, 255, 0.8);
	border-radius: 10px;
	border: 2px solid #000000;
	opacity: 0;
	transition: all 0.5s ease 0s;
}
.jitomemo:after, .jitomemo:before {
	top: 100%;
	left: 1.5em;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
}
.jitomemo:after {
	border-color: rgba(255, 255, 255, 0);
	border-top-color: #ffffff;
	border-width: 4px;
	margin-left: -4px;
}
.jitomemo:before {
	border-color: rgba(0, 0, 0, 0);
	border-top-color: rgba(0, 0, 0, 0.8);
	border-width: 7px;
	margin-left: -7px;
}

.jitomemo[data-display=true] {
	opacity: 1;
}
.jitomemo[data-display=false] {
	opacity: 0;
}



/* ここからログイン
-------------------------------------------- */
.login-body {
	background-color: transparent;
}
.login-body .jitomesan {
	width: 15%;
	height: 100%;
}
.login {
	width: 80%;
	height: 100%;
	margin: auto auto auto 17.5%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	text-align: center;
}
.login * {
	margin: 0 0 1em 0;
	padding: 1em;
	text-align: center;
}
.login h2 {
}
.login p {

}
.login input {
}
.login label {
}
.login small {
	display: block;
	color: rgba(255, 0, 200, 0.4);
}

